/*
 Copyright (C) 2010-2017 by Hoefer Alfred

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public License
 as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version. 

 This library is distributed in the hope that it will be useful, 
 but WITHOUT ANY WARRANTY; without even the implied warranty of 
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 See the GNU Lesser General Public License for more details. 

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 MA 02110, USA
*/

#ifndef __TdsPIC33E_pgm_H__
#define __TdsPIC33E_pgm_H__

#include "cpu_pgm.h"
#include "dsPIC33F_device.h"

#define TCSelf TCpuPgm_dsPIC33E
typedef struct TCpuPgm_dsPIC33E {
  AlgTCpuPgm
  dword sflag, aflag, txflag, evflag;
  int ICSP_bef_idx;
  dword ICSP_ms;
  dword ReadBlockLen;
  const TPicDevice *PicDevice;
} TCpuPgm_dsPIC33E;
#undef TCSelf

void *TCpuPgm_dsPIC33E_Create();
void *TCpuPgm_dsPIC33F_Create();


#endif /* __TdsPIC33E_pgm_H__ */
