/*
 Copyright (C) 2010-2017 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

/*____________________________ I2C ______________________________________*/
typedef struct {
  byte cmd, flag;
  byte id;
  byte adr[2];
  byte lg;
  byte data[64];
} __attribute__((packed)) TI2C_Data;

typedef struct {
  byte cmd;
  byte id;
  byte data[64];
} __attribute__((packed)) TI2C_RD_Data;

#define I2C_WRITE		1
#define I2C_READ		2
#define I2C_ERROR		3
/* i2c2_Flag */
#define I2C_bNoADR		0x01
#define I2C_bADR16Bit		0x02

